DataInserter (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.DataInserter interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Interface DataInserter

All Known Implementing Classes:
  SynchronousAvailDataInserter, SynchronousDataInserter

    public interface DataInserter

The `DataInserter` takes data from the `ReportProcessorEJBImpl` and sends it to the `DataManagerEJBImpl` to put into the DB.

Method Summary
`java.lang.Object` | `getLock()`
`void` | `insertMetrics(java.util.List metricData)` Insert data into the DB, possibly blocking.
`void` | `insertMetrics(java.util.List metricData, boolean isPriority)` Insert priority data into the DB, possibly blocking.

Method Detail

### insertMetrics

    void insertMetrics(java.util.List metricData)
                       throws java.lang.InterruptedException,
                              DataInserterException

  Insert data into the DB, possibly blocking.

  Parameters:
    `metricData` - a list of `DataPoint`s
  Throws:
    `java.lang.InterruptedException`
    `DataInserterException`

### insertMetrics

    void insertMetrics(java.util.List metricData,
                       boolean isPriority)
                       throws java.lang.InterruptedException,
                              DataInserterException

  Insert priority data into the DB, possibly blocking. This may or may not be implemented by the inherited class.

  Parameters:
    `metricData` - a list of `DataPoint`s
    `isPriority` - tells the inserter to prioritize the metricData List. When implemented the DataInserter will give will insert the priority data before the low priority data.
  Throws:
    `java.lang.InterruptedException`
    `DataInserterException`

### getLock

    java.lang.Object getLock()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.